package com.ruoyi.project.ticket.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 作业票编号对象 t_ticket_id
 *
 * @author ruoyi
 * @date 2022-01-10
 */
public class TTicketId extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 工作票id */
    @Excel(name = "工作票id")
    private Long ticketId;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门 */
    private String deptName;
    /** 装置 */
    @Excel(name = "装置")
    private String plantCode;

    /** 工作票类型 */
    @Excel(name = "工作票类型")
    private String ticketType;

    /** 完整票号 */
    @Excel(name = "完整票号")
    private String ticketFull;

    /** $column.columnComment */
    private Long delFlag;

    /** $column.columnComment */
    @Excel(name = "完整票号")
    private String createrCode;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完整票号", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** $column.columnComment */
    @Excel(name = "完整票号")
    private String updaterCode;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "完整票号", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** $column.columnComment */
    @Excel(name = "完整票号")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTicketId(Long ticketId)
    {
        this.ticketId = ticketId;
    }

    public Long getTicketId()
    {
        return ticketId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }

    public String getTicketType() {
        return ticketType;
    }

    public void setTicketType(String ticketType) {
        this.ticketType = ticketType;
    }

    public void setTicketFull(String ticketFull)
    {
        this.ticketFull = ticketFull;
    }

    public String getTicketFull()
    {
        return ticketFull;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ticketId", getTicketId())
            .append("deptId", getDeptId())
            .append("plantCode", getPlantCode())
            .append("ticketType", getTicketType())
            .append("ticketFull", getTicketFull())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .toString();
    }
}
